#pragma once
#include "AppBase.h"
#include "FKUT/TrackBall.h"
#include "FKUT/OBB.h"
#include "FieldMap.h"

#include "TexAnimeEffect.h"
#include "VolumeLineModel.h"
#include "BlurEffect.h"

// AppBase gAv̍

// 1. fkut_AppBase pNX
// 2. private oɎgϐ錾
// 3. init()Ƀ[v˓ỎW񂵂Ď
// 4. procLoop()ɃC[v1񕪂̏(܂ȂQ͕sv)
// 5. oCpXRXgN^(fXgN^ꉞ`Ă)
// 6. main() Fl_Window, fk_Window Ǝ̍NX̕ϐ錾
// 7. main() run()Ăяo΃AvX^[gAIŖ߂Ă


class TestApp : public fkut_AppBase {
private:
	fk_Model		camera, lightModel;
	fk_Light		light;
	fk_Scene		scene;
	fk_TrackBall	tb;

	fk_Vector		spd, acc, fwdU, fwdR;
	fk_Block		playerBox;
	fkut_OBB		playerOBB;
	fk_Model		playerModel;

	FieldMap		map;

	void init(void);
	bool procLoop(void);

	// {[CTv
	fk_VolumeLineModel	vLine;
	fk_Image			img;
	void				initVLine(void);

	// ^[Qbg؂ւTv
	int		targetID;
	void	changeTarget(void);
	// łɃeNX`Aj[VTv
	TexAnimeEffectModel	texAnime;

	// u[Tv
	BlurEffect	blur;
	fk_Block	block;
	fk_Model	blockModel;

	// NH[^jǏvZeXg(AvŜ̓ɉe)
	void	calcTestQtoM(void);

public:
	TestApp(Fl_Window *, fk_Window *);
	~TestApp(void);
};
