/*********************************************************************NVMH3****
Path:  SDK\MEDIA\programs\cg_Volumelines
File:  cg_Volumelines_fragment.cg

Copyright NVIDIA Corporation 2002
TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THIS SOFTWARE IS PROVIDED
*AS IS* AND NVIDIA AND ITS SUPPLIERS DISCLAIM ALL WARRANTIES, EITHER EXPRESS
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL NVIDIA OR ITS SUPPLIERS
BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES
WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS,
BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS)
ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF NVIDIA HAS
BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Comments:

******************************************************************************/
float4 main(in float4 blendFactor   : COLOR1,

            in float2 texCoord0     : TEXCOORD0,
            in float2 texCoord1     : TEXCOORD1,
            uniform sampler2D texture0,
            uniform sampler2D texture1
            ) : COLOR
{
    float4 tex0 = tex2D(texture0, texCoord0);
    float4 tex1 = tex2D(texture1, texCoord1);

    return lerp(tex0, tex1, blendFactor);
}