#pragma once
#include <FK/FK.h>
#include "FKUT/OBB.h"

#include <set>

class FieldMap {
private:
	fk_Block		block[7];
	fk_Model		blockModel[7];
	fkut_OBB		obb[7];

	int							clusterX, clusterZ;
	fk_Vector					mapSize;
	vector<set<fkut_OBB *> >	clusterOBB;

public:
	FieldMap(void);
	virtual ~FieldMap(void);

	// V[\E\
	void entryScene(fk_Scene *);
	void removeScene(fk_Scene *);

	// 蔻菈
	bool procCollision(fkut_OBB *playerOBB, fk_Vector *spd);

	// ubN擾
	fk_Model* getBlockModel(int id);
};
